import { HttpException, HttpStatus } from '@nestjs/common';
import { EstadoProyecto } from './estado-proyecto.entity';
import { Repository } from 'typeorm';
import { CreateEstadoProyectoDto } from './dto/create-estado-proyecto.dto';
import { UpdateEstadoProyectoDto } from './dto/update-estado-proyecto.dto';
export declare class EstadoProyectoService {
    private estadoProyectoRepository;
    constructor(estadoProyectoRepository: Repository<EstadoProyecto>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    createData(estadoProyecto: CreateEstadoProyectoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        };
        status: HttpStatus;
        message: string;
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
    }>;
    updateData(id: number, estadoProyecto: UpdateEstadoProyectoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
